Page MenuHomePhabricator

Oversample mobile wikitext EditAttemptStep events on default editor A/B test wikis
Closed, ResolvedPublic

Description

We are currently oversampling mobile VE events on all wikis, but not mobile wikitext events, which means that we're logging data on only 1/16 of our control group.

We should turn on oversampling for the mobile wikitext editor at our 20 test wikis (T221196). It would be better not to turn it on for all wikis since mobile VE sees more edit attempts than any other editor. I'm sure the Data Lake could cope with the extra data, but since that would mean logging almost a million extra edit attempts per day, better not to ask it to!

This also means we should be oversampling VisualEditorFeatureUse in the same way, but I believe that their configurations are already linked.

Event Timeline

nshahquinn-wmf removed nshahquinn-wmf as the assignee of this task.Jul 5 2019, 7:46 PM
nshahquinn-wmf removed a project: Product-Analytics.

Change 521338 had a related patch set uploaded (by DLynch; owner: DLynch):
[operations/mediawiki-config@master] Oversample all EditAttemptStep events on VE-as-mobile-default wikis

https://gerrit.wikimedia.org/r/521338

Change 521338 merged by jenkins-bot:
[operations/mediawiki-config@master] Oversample all EditAttemptStep events on VE-as-mobile-default wikis

https://gerrit.wikimedia.org/r/521338

Mentioned in SAL (#wikimedia-operations) [2019-07-11T23:15:42Z] <thcipriani@deploy1001> Synchronized wmf-config: SWAT: [[gerrit:521338|Oversample all EditAttemptStep events on VE-as-mobile-default wikis]] T227317 (duration: 00m 50s)

nshahquinn-wmf closed this task as Resolved.EditedAug 22 2019, 4:52 PM

I looked at the data and saw the corresponding increase in the number of mobile wikitext events, so the oversampling is definitely working correctly.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 22 2019, 4:52 PM